package com.lightinit.hsdataplatform.service.admin;

import com.lightinit.hsdataplatform.entity.BaseExample;
import com.lightinit.hsdataplatform.entity.Roadshow;
import com.lightinit.hsdataplatform.entity.RoadshowWithBLOBs;
import com.lightinit.hsdataplatform.model.ResultState;
import com.lightinit.hsdataplatform.model.admin.ActivitySearchModel;
import com.lightinit.hsdataplatform.model.admin.RoadShowSearchModel;

import java.util.List;
import java.util.Map;

public interface IRoadShowMgrService {
   List<Roadshow> queryList(RoadShowSearchModel inputModel, BaseExample.Page page);
   long queryCount(RoadShowSearchModel inputModel);
   ResultState<Long> delete(long id);
   Map<String, Object> queryOne(long id);
}
